{% extends "page.html" %}
{% if announcement_spawn %}
  {% set announcement = announcement_spawn %}
{% endif %}

{% block main %}

<div class="container">
  {% block heading %}
  <div class="row text-center">
    <h1>MAX IV JupyterHub</h1>
  </div>
  {% endblock %}
  <div class="row col-sm-offset-2 col-sm-8">
    {% if for_user and user.name != for_user.name -%}
      <p>Spawning server for {{ for_user.name }}</p>
    {% endif -%}
    {% if error_message -%}
      <p class="spawn-error-msg text-danger">
        Error: {{error_message}}
      </p>
    {% endif %}

    <form enctype="multipart/form-data" id="spawn_form" action="{{url}}"
        method="post" role="form">
      {{spawner_options_form | safe}}
      <br>
      <input id="spawn-notebook" type="submit" value="Start"
             class="btn btn-jupyter form-control">
    </form>

  </div>

  <br>

  <div class="row col-sm-offset-2 col-sm-8 text-center">
    <h5>For information on JupyterHub usage and what is included</h5>
    <h5>in each JupyterLab notebook listed in the menu above, </h5>
    <h5>see the
        <a href="https://wiki.maxiv.lu.se/index.php/SciSW:JupyterHub_Usage"
         target="_blank"> JupyterHub Usage</a>  wiki page.</h5>
  </div>

</div>

<div id="loading-container" class="container" style="display: none">
  <div class="row">
    <div class="text-center">
        <p><label id="loading-text"></label></p>
    </div>
    <div id='loader'></div>
  </div>
</div>

{% endblock %}


{% block stylesheet %}
{{super()}}

<style>
    #loading-container {
      margin-top: 2rem;
    }
    /* Center the loader */
    #loader {
        position: absolute;
        left: 50%;
        top: 55%;
        z-index: 1;
        width: 150px;
        height: 150px;
        margin: -75px 0 0 -75px;
        border: 16px solid #f3f3f3;
        border-radius: 50%;
        border-top: 16px solid #ff9800;
        border-right: 16px solid #9999;
        border-bottom: 16px solid #ff9800;
        border-left: 16px solid #9999;
        -webkit-animation: spin 2s linear infinite;
        animation: spin 2s linear infinite;
    }
    @-webkit-keyframes spin {
        0% {
            -webkit-transform: rotate(0deg);
        }
        100% {
            -webkit-transform: rotate(360deg);
        }
    }
    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg);
        }
    }
</style>
{% endblock %}

{% block script %}
    {{ super()  }}
    <script>
        $("#spawn-notebook").click(function() {
            $(".container").hide();
            $("#loading-text").text("Your notebook is now being started ...");
            $("#loading-container").show();
        });
    </script>
{% endblock %}
